name: 'Asynchronous views export'
description: |-
  This model provides an endpoint `/eca/export/users` which can be published as a menu item or a link. When requested, it does this:

  - Check access and only allow users with the administror role to cal that endpoint
  - Enqueue a task called `export-users` and forward the email address of the current user
  - Display a message to the user and redirect them back to the page where they came from

  After that, the task is being queued and will be executed by the next cron of the Drupal site. This will then execute the view and export the result into a csv file. Finally, an email will be sent to the user who originally requested the export together with the link from where they can download the export.

  Building this model has been recorded: [watch video](https://tube.tchncs.de/w/qpc4qAu2jPMPqcnzV8125h)
type: ECA
install:
  - eca_access
  - eca_base
  - eca_endpoint
  - eca_queue
  - eca_user
  - eca_views
  - user
config:
  import:
    user:
      - views.view.user_admin_people
